function [czas, kor] = korelacja(A,B,fp,typ_estymatora)

switch lower(typ_estymatora)

    case 'obciazony'
        if length(A)~=length(B)
            if length(A)>length(B)
                B=[B, zeros(1,length(A)-length(B))];
            else
                A=[A, zeros(1,length(B)-length(A))];
            end;
        end;
        kor=xcorr(A,B,'biased');

        czas=linspace(-length(A),length(A),2*length(A)-1)/fp;

        figure;
        plot(czas,kor,'k');
        grid on;
        xlabel('\tau[s]');
        ylabel('Wartosc');
        title(typ_estymatora);

    case 'nieobciazony'
        if length(A)~=length(B)
            if length(A)>length(B)
                B=[B, zeros(1,length(A)-length(B))];
            else
                A=[A, zeros(1,length(B)-length(A))];
            end;
        end;
        kor=xcorr(A,B,'unbiased');

        czas=linspace(-length(A),length(A),2*length(A)-1)/fp;

        figure;
        plot(czas,kor,'k');
        grid on;
        xlabel('\tau[s]');
        ylabel('Wartosc');
        title(typ_estymatora);

    case 'norm'
        if length(A)~=length(B)
            if length(A)>length(B)
                B=[B, zeros(1,length(A)-length(B))];
            else
                A=[A, zeros(1,length(B)-length(A))];
            end;
        end;
        kor=xcorr(A,B,'coeff');
        
        czas=linspace(-length(A),length(A),2*length(A)-1)/fp;

        figure;
        plot(czas,kor,'k');
        grid on;
        xlabel('\tau[s]');
        ylabel('Wartosc');
        title(typ_estymatora);
    case 'wsp'
        if length(A)~=length(B)
            if length(A)>length(B)
                B=[B, zeros(1,length(A)-length(B))];
            else
                A=[A, zeros(1,length(B)-length(A))];
            end;
        end;
        kor=xcov(A,B,'coeff');

        czas=linspace(-length(A),length(A),2*length(A)-1)/fp;

        figure;
        plot(czas,kor,'k');
        grid on;
        xlabel('\tau[s]');
        ylabel('Wartosc');
        title(typ_estymatora);

    otherwise
        disp('Nieznany typ')
end;